MONGOC_CURSOR_SET_MAX_AWAIT_TIME_MS(3)

NAME
mongoc_cursor_set_max_await_time_ms() - The maximum amount of time for the server to wait on new documents to satisfy a tailable cursor query. Only applies if the cursor is created from mongoc_collection_find with the query flags MONGOC_QUERY_TAILABLE_CURSOR and MONGOC_QUERY_AWAIT_DATA, and the server is MongoDB 3.2 or later. See the documentation for maxTimeMS and the "getMore" command.

SYNOPSIS

void
mongoc_cursor_set_max_await_time_ms (mongoc_cursor_t *cursor,
                                     uint32_t         max_await_time_ms);

PARAMETERS

cursor
    A mongoc_cursor_t \&.

max_await_time_ms
    A timeout in milliseconds.

DESCRIPTION

The maximum amount of time for the server to wait on new documents to satisfy a tailable cursor query. Only applies if the cursor is created from mongoc_collection_find with the query flags MONGOC_QUERY_TAILABLE_CURSOR and MONGOC_QUERY_AWAIT_DATA, and the server is MongoDB 3.2 or later. See the documentation for maxTimeMS and the getMore command \&.

The max_await_time_ms cannot be changed after the first call to mongoc_cursor_next \&.

SEE ALSO

Tailable Cursors.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.